#!/usr/bin/env python

import mobius
import sys

def print_filesystems (disk):
  for fs in mobius.filesystem.get_filesystems (disk):
    print
    for attr in fs.get_metadata ():
      print '   %s: %s' % (attr.description, attr.value)

for url in sys.argv[1:]:
   print
   print ">>", url

   disk = mobius.disk.new_disk_from_url (url)

   if disk.is_available ():
     print_filesystems (disk)
